Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229416 - Review Request: qpidj - qpid java implementation
Summary: Review Request: qpidj - qpid java implementation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 21:58 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-27 18:14:16 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-20 21:58:53 UTC
Spec URL: http://people.redhat.com/rafaels/specs/qpidj.spec
SRPM URL: http://people.redhat.com/rafaels/srpms/qpidj-0.1-4rhm.src.rpm
Description: Apache Qpid's java implementation of AMQP.

Comment 1 Nuno Santos 2007-02-20 22:26:45 UTC
qpidj-0.1-4rhm.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify

MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK * specfile name matches %{name}
OK * verify source and patches (md5sum matches upstream, know what the patches do)
OK * skim the summary and description for typos, etc.
NO * correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

--
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
--

NO * if %{?dist} is used, it should be in that form (note the ? and %
locations)

--
dist not used
--

NO * license text included in package and marked with %doc

--
included but not marked with %doc
--

OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint qpidj-0.1-4rhm.src.rpm 
W: qpidj summary-ended-with-dot Java implementation of Apache Qpid.
W: qpidj non-standard-group Development/Java
W: qpidj mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
W: qpidj class-path-in-manifest /jmscts-0.5-b2.jar
--

OK * changelog should be in one of these formats:
OK * Packager tag should not be used
OK * Vendor tag should not be used
OK * use License and not Copyright 
NO * Summary tag should not end in a period

--
Summary:        Java implementation of Apache Qpid.
--

OK * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
?? * package successfully compiles and builds on at least x86
?? * BuildRequires are proper
OK * summary should be a short and concise description of the package
NO * description expands upon summary (don't include installation
instructions)

--
description == summary
--

NO * make sure lines are <= 80 characters

--
a number of lines are longer than 80 chars
--

OK * specfile written in American English
OK * make a -doc sub-package if necessary
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NO * config files should usually be marked with %config(noreplace)

--
not marked with (noreplace):
%config %{_datadir}/%{name}/etc/*
--

NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
OK * use macros appropriately and consistently
OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
NA * consider using cp -p to preserve timestamps
OK * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
OK * package should own all directories and files
OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NO * package should include license text in the package and mark it with %doc

--
included but not marked with %doc
--

?? * package should build on i386
?? * package should build in mock


Comment 2 Xavier Lamien 2007-06-19 01:00:38 UTC
since last comment this bug didn't have any reponse from the reporter so far.
If no changes happened, i'll close this bug within a week.


Nuno, As you started review this pacakge please, set the flag 'fedora-review' to
? and remove the block FE-NEW.

thanks

Comment 3 Nuno Santos 2007-06-19 14:05:17 UTC
This package is stalled due to unresolved packaging dependencies.
Setting fedora-review=?, removing block.


Comment 4 Xavier Lamien 2007-08-05 19:13:28 UTC
those unresolved packages dependencie's bugs should be paste in dependencies
block below.
That's avoid confusion for any reviewer.

Comment 5 Nuno Santos 2007-09-27 18:14:16 UTC
I'm closing the review request, this will be repackaged differently at a later
time to solve some of the issues mentioned above.


Note You need to log in before you can comment on or make changes to this bug.